use core::mos6502flags::Mos6502Flags;

#[test]
fn sanity() {
    let f = Mos6502Flags::default();
    let magic_byte = 0b1110_1101;
    let magic_flags = Mos6502Flags {
        carry: true,
        zero: false,
        interrupt: true,
        decimal: true,
        break_flag: false,
        overflow: true,
        negative: true,
    };

    assert_eq!(magic_flags, Mos6502Flags::from_byte(magic_byte));
}